<template>
  <tab-button class="foot_tabset" :active="-1">
    <tabs header="收费查询" v-if="permission('收费查询')">
      <enterprise-charge-query v-if="show.includes('收费查询')"></enterprise-charge-query>
    </tabs>
    <tabs header="用气查询" v-if="permission('用气查询')">
      <enterprise-gas-query v-if="show.includes('用气查询')"></enterprise-gas-query>
    </tabs>

  </tab-button>

</template>

<script>
import TabButton from '../common/TabButton'
import Tabs from '../common/Tabs'

export default {
  title: '档案查询',
  data() {
    return {
      show: []
    }
  },
  components: {Tabs, TabButton},
  methods: {
    permission(name) {
      if (this.$login.r.find(value => value == '综合查询')) {
        if (!this.$login.r.find(value => value == name)) {
          return false
        }
      }
      return true
    }
  }
}
</script>

<style scoped>
</style>
